Tiquo
Integrations OverviewAirtableAsanaSlackGoogle AnalyticsMetabaseMixpanelPendoSegmentTableau (PAT)ActiveCampaignBrevoEmarsys Core API (WSSE)EventbriteFacebookGoogle AdsHighLevelInstagramKlaviyoMailchimpMailgunMicrosoft AdsSendGridTwitter (v2)HubSpotNotionAcuity SchedulingAirtable (Personal Access Token)BasecampCal.com (v2)CalendlyClickUpCodaConfluence Data CenterExpensifyGoogle CalendarGoogle SheetHarvestLinearMicrosoft Power BIMicrosoft TeamsMindbodyMondayOpenAIPerplexityPingboardPivotal TrackerProductboardQuickbaseServiceM8ServiceNowTeamworkTickTickTimelyTodoistTrafftTrelloWrikefal.aixAIZendeskIntercomAircall (OAuth)DixaFreshDeskFreshserviceFrontPlainRingCentralZoho DeskBrazeDialpadGoogleMicrosoftOutlookPodiumSednaSharePoint OnlineTwilioWhatsApp BusinessZoho MailBambooHRADPDeelEmployment HeroGustoHibob Service UserNamelyOracle Fusion Cloud (HCM)PaychexPayfitPaylocityPersonioRipplingSAP SuccessFactorsSage HRTSheetsUKG ProUKG ReadyWorkdayZoho PeopleQuickBooksBuildiumExact OnlineFreshBooksIntuitNetSuitePennylaneSageSage IntacctTwinfieldUnanetWave AccountingXeroZoho BooksSalesforceAffinityAttioCopperFreshsalesGainsight CCInsightlyKustomerMedalliaPipedriveTwenty CRMZoomInfoApaleoMewsMicrosoft Business CentralOdooSAP ConcurZuoraAcceloCoupa CompassZoho InvoiceAnrokAvalaraDocuSignDropbox SignPandadocSignNowLinkedInSplitwiseTikTok AdsJotformQualtricsRefinerTypeformShopifyCin7 CoreGoogle MapsRingoverListrakRydooTalentLMSApple Business ManagerCrunchbaseRocketReachOcean.ioFreepikEnergy Performance Certificates (Gov.UK)JustworksGristSAP S/4HANA Cloud3CX8x8Adobe CommerceBirdCloudbedsConstant ContactBufferCustomer.ioCrispFreeAgentGreenhouseMeta Marketing APIMollienocrm.ioOomnitzaDigitsPylonSage 200ShopwareAnvilShippoEasyPostAltrataMicrosoft PeopleMicrosoft IntuneCloudTalkGoogle FormsMaximizerMicrosoft PlannerSalesmsgSellercloudTallyTimifyUpsalesCleverReachHeymarketMailjetPleoProvenExpertTelegramToggl TrackASSA ABLOY Vingcard VisionlineASSA ABLOY Vingcard VostioASSA ABLOY TESA HotelASSA ABLOY SMARTairSalto KSSalto Space OnlineDormakabaOmnitecHotekTT LockWebLockISEOKleverKeyAperioISONASHIDSouthcoThird MillenniumSTidAxis CommunicationsBooking.comExpediaHotels.comAirbnbGoogle HotelsTripadvisorAgodaHotelbedsTravelgateXHyperguestRoibosReconlineTraviaOpenGDS.comMG BedbankDidatravelHotelREZHRSHotelnetworkGetaroomWinkBookeasyVRBOInntopiaHookusbookusHipcampSpot2niteCamping VisionMinistry of VillasTrip.comTravelokaTiketMakeMyTripHoteripKlookeDreamsSzallasEmerging Travel GroupCheck24Bed-and-Breakfast.itWorld2Meet (W2M)Ctoutvert / SecureholidayDespegarPriceTravelRoombeastMitchell CorpHRS AustraliaResonlineHostelworldHostelhopTablet MichelinMr & Mrs SmithHopperHotel TonightPitchupMoveriiLocalOTAAlaricBooknpayCultbookingGuestTractionLevartWeSpeakMake.comZapierPricelabsPricepointRategenieElastic HotelRoom Price GenieTurbosuiteUber EatsDeliverooDoorDashBolt Food
API and AuthenticationAdmin API

Enquiries

Admin API endpoints for creating and managing enquiries

Enquiries

Use the Enquiries endpoints to list, create, retrieve, update, and delete enquiries within the organization associated with your Admin API key.

Endpoints

MethodEndpointDescription
GET/enquiriesList enquiries with filtering and pagination
POST/enquiriesCreate an enquiry
GET/enquiries/{enquiryId}Get a single enquiry
PATCH/enquiries/{enquiryId}Update an enquiry
DELETE/enquiries/{enquiryId}Delete an enquiry
GET/metadata/enquiriesGet valid enquiry metadata for request construction

Test the API

The POST, PATCH, and DELETE testers change live organization data. Your API key is stored only in this browser's local storage, so use the tester on a trusted device.

GET
/enquiries

Authorization

BearerAuth
AuthorizationBearer <token>

API key from the Tiquo dashboard (Settings > Developer > Admin API)

In: header

Query Parameters

limit?integer
Default50
Range1 <= value <= 100
search?string
status?string
Value in"pending" | "completed" | "cancelled"
categoryId?string
locationId?string
createdBy?string
isInternal?boolean

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.tiquo.app/api/v1/enquiries"
{
  "success": true,
  "data": [
    {
      "id": "string",
      "enquiryNumber": "string",
      "name": "string",
      "email": "user@example.com",
      "phone": "string",
      "customerId": "string",
      "type": "string",
      "typeLabel": "string",
      "subject": "string",
      "message": "string",
      "category": "string",
      "orderId": "string",
      "status": "string",
      "lostReason": "string",
      "priority": "low",
      "assignedTo": "string",
      "assignedToStaffIds": [
        "string"
      ],
      "assignedToStaffNames": [
        "string"
      ],
      "source": "string",
      "referrer": "string",
      "firstResponseAt": "2019-08-24T14:15:22Z",
      "resolvedAt": "2019-08-24T14:15:22Z",
      "responseCount": 0,
      "totalOrdersValue": 0,
      "totalPaid": 0,
      "orderCount": 0,
      "customFields": {},
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "string",
    "pageSize": 0
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
POST
/enquiries

Authorization

BearerAuth
AuthorizationBearer <token>

API key from the Tiquo dashboard (Settings > Developer > Admin API)

In: header

Request Body

application/json

name*string
email*string
Formatemail
phone?string
customerId?string
type*string
status?string
subject*string
message*string
category?string
Default"general"
priority?string
Default"medium"
Value in"low" | "medium" | "high" | "urgent"
source?string
Default"admin"

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.tiquo.app/api/v1/enquiries" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "email": "user@example.com",    "type": "string",    "subject": "string",    "message": "string"  }'
{
  "success": true,
  "data": {
    "id": "string",
    "enquiryNumber": "string",
    "name": "string",
    "email": "user@example.com",
    "phone": "string",
    "customerId": "string",
    "type": "string",
    "typeLabel": "string",
    "subject": "string",
    "message": "string",
    "category": "string",
    "orderId": "string",
    "status": "string",
    "lostReason": "string",
    "priority": "low",
    "assignedTo": "string",
    "assignedToStaffIds": [
      "string"
    ],
    "assignedToStaffNames": [
      "string"
    ],
    "source": "string",
    "referrer": "string",
    "firstResponseAt": "2019-08-24T14:15:22Z",
    "resolvedAt": "2019-08-24T14:15:22Z",
    "responseCount": 0,
    "totalOrdersValue": 0,
    "totalPaid": 0,
    "orderCount": 0,
    "customFields": {},
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
GET
/enquiries/{enquiryId}

Authorization

BearerAuth
AuthorizationBearer <token>

API key from the Tiquo dashboard (Settings > Developer > Admin API)

In: header

Path Parameters

enquiryId*string

Enquiry number or document ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.tiquo.app/api/v1/enquiries/string"
{
  "success": true,
  "data": {
    "id": "string",
    "enquiryNumber": "string",
    "name": "string",
    "email": "user@example.com",
    "phone": "string",
    "customerId": "string",
    "type": "string",
    "typeLabel": "string",
    "subject": "string",
    "message": "string",
    "category": "string",
    "orderId": "string",
    "status": "string",
    "lostReason": "string",
    "priority": "low",
    "assignedTo": "string",
    "assignedToStaffIds": [
      "string"
    ],
    "assignedToStaffNames": [
      "string"
    ],
    "source": "string",
    "referrer": "string",
    "firstResponseAt": "2019-08-24T14:15:22Z",
    "resolvedAt": "2019-08-24T14:15:22Z",
    "responseCount": 0,
    "totalOrdersValue": 0,
    "totalPaid": 0,
    "orderCount": 0,
    "customFields": {},
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
PATCH
/enquiries/{enquiryId}

Authorization

BearerAuth
AuthorizationBearer <token>

API key from the Tiquo dashboard (Settings > Developer > Admin API)

In: header

Path Parameters

enquiryId*string

Request Body

application/json

[key: string]?any

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.tiquo.app/api/v1/enquiries/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "data": {
    "id": "string",
    "enquiryNumber": "string",
    "name": "string",
    "email": "user@example.com",
    "phone": "string",
    "customerId": "string",
    "type": "string",
    "typeLabel": "string",
    "subject": "string",
    "message": "string",
    "category": "string",
    "orderId": "string",
    "status": "string",
    "lostReason": "string",
    "priority": "low",
    "assignedTo": "string",
    "assignedToStaffIds": [
      "string"
    ],
    "assignedToStaffNames": [
      "string"
    ],
    "source": "string",
    "referrer": "string",
    "firstResponseAt": "2019-08-24T14:15:22Z",
    "resolvedAt": "2019-08-24T14:15:22Z",
    "responseCount": 0,
    "totalOrdersValue": 0,
    "totalPaid": 0,
    "orderCount": 0,
    "customFields": {},
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
DELETE
/enquiries/{enquiryId}

Authorization

BearerAuth
AuthorizationBearer <token>

API key from the Tiquo dashboard (Settings > Developer > Admin API)

In: header

Path Parameters

enquiryId*string

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.tiquo.app/api/v1/enquiries/string"
Empty
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
GET
/metadata/enquiries

Authorization

BearerAuth
AuthorizationBearer <token>

API key from the Tiquo dashboard (Settings > Developer > Admin API)

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.tiquo.app/api/v1/metadata/enquiries"
{}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": "string",
  "timestamp": "2019-08-24T14:15:22Z"
}

For every request field, filter, response schema, and error response, use the operation details in the interactive reference above.